// Filename				: gamelocals.h
// Author				: Pete
// Author Email			: hoganpet@pilot.msu.edu
// Description			: Main Information visable to server.
// Required Headers		: Unknown

// PTH_BEGIN //
#ifndef PTH_GAMELOCALS_H
#define PTH_GAMELOCALS_H
/*
This file is only included in g_local.h
*/
//
// this structure is left intact through an entire game
// it should be initialized at dll load time, and read/written to
// the server.ssv file for savegames
//
// original code used old typedef struct declaration
/*
struct game_locals_t
{
	char		helpmessage1[512];
	char		helpmessage2[512];
	qboolean	helpchanged;
	gclient_t	*clients;		// [maxclients]

	char		spawnpoint[512]; // can't store spawnpoint in level, because
								 // it would get overwritten by the savegame restore
								 // needed for coop respawns

	int			maxclients;  // store latched cvars here 
	int			maxentities; //that we want to get at often

	int			serverflags; // cross level triggers
	int			num_items;  // items
};
*/

struct gclient_t;	// Defined externally

class CGameLocals
{
public:
	char		helpmessage1[512];
	char		helpmessage2[512];
	bool		helpchanged;
	gclient_t	*clients;		// [maxclients]

	char		spawnpoint[512]; // can't store spawnpoint in level, because
								 // it would get overwritten by the savegame restore
								 // needed for coop respawns

	int			maxclients;  // store latched cvars here 
	int			maxentities; //that we want to get at often

	int			serverflags; // cross level triggers
	int			num_items;  // items
};


#endif //PTH_GAMELOCALS_H
// PTH_END //